/* Copyright (c) 2009, Oracle and/or its affiliates. All rights reserved. */

#pragma once

// DisplayDicomDlg dialog

class DisplayDicomDlg : public CDialog
{
	DECLARE_DYNAMIC(DisplayDicomDlg)

public:
	DisplayDicomDlg(char *image, int size, CWnd *pParent = NULL);
	virtual ~DisplayDicomDlg();
	void OnPaint();
	void DisplayDicomDlg::DrawImage(HDC hdc, void *buffer, int length);

// Dialog Data
	enum { IDD = IDD_DISPLAY };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);  // DDX/DDV support

private:
	char *m_image;                           // The image data.
	int m_size;                              // The size of the image.

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedOk();
};
